Bug 1063815 - RHTS_PORT parameter causes exception in beah: TypeError: an integer is required
Summary: RHTS_PORT parameter causes exception in beah: TypeError: an integer is required
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: beah
Version: 0.15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.15.4
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 13:28 UTC by lvotypko
Modified: 2018-02-06 00:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-18 01:36:22 UTC


Attachments (Terms of Use)

Description lvotypko 2014-02-11 13:28:39 UTC
Description of problem:
When I define task /distribution/reservesys with parameter RHTS_PORT it fails due to the integer is expected instead string. You can see it here http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2014/02/5904/590459/1223470/19078944/debug/task_beah_unexpected


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create xml of job with task /distribution/reservesys and parameter RHTS_PORT
<task name="/distribution/reservesys" role="STANDALONE">
  <params>
    <param name="RHTS_PORT" value="7090"/>
  </params>
</task>


2.schedule job

Actual results:
beah port is not 7090, machine is immediately returned back to the beaker without waiting reservation time.

Expected results:
beah port is 7090, machine is reserved for reservation time

Additional info:

Comment 1 Jan Stancek 2014-02-11 13:55:01 UTC
Traceback (most recent call last):
  File "/usr/bin/beah-rhts-task", line 9, in <module>
    load_entry_point('beah==0.7.dev201401300131', 'console_scripts', 'beah-rhts-task')()
  File "/usr/lib/python2.6/site-packages/beah/tasks/rhts_xmlrpc.py", line 697, in main
    m = RHTSMain(task_path, USE_DEFAULT)
  File "/usr/lib/python2.6/site-packages/beah/tasks/rhts_xmlrpc.py", line 481, in __init__
    reactor.listenTCP(port, self.server, interface='127.0.0.1')
  File "/usr/lib64/python2.6/site-packages/twisted/internet/posixbase.py", line 356, in listenTCP
    p.startListening()
  File "/usr/lib64/python2.6/site-packages/twisted/internet/tcp.py", line 856, in startListening
    skt.bind((self.interface, self.port))
  File "<string>", line 1, in bind
TypeError: an integer is required

Comment 2 Marian Csontos 2014-02-11 14:00:26 UTC
http://gerrit.beaker-project.org/#/c/2799/

Comment 4 Dan Callaghan 2014-02-12 05:45:16 UTC
This bug fix is included in beah 0.7.2 which is available from the harness-testing yum repos:

http://beaker-project.org/yum/harness-testing/

Comment 7 Dan Callaghan 2014-02-18 01:36:22 UTC
Beah 0.7.2 has been released.


Note You need to log in before you can comment on or make changes to this bug.